java.security.interfaces

## Interface RSAPrivateKey

- All Superinterfaces:
    Key, PrivateKey, RSAKey, Serializable
  All Known Subinterfaces:
    RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey

      public interface RSAPrivateKey
      extends PrivateKey, RSAKey

  The interface to an RSA private key.
  See Also:
    `RSAPrivateCrtKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getPrivateExponent()` Returns the private exponent.

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface java.security.interfaces.RSAKey

      `getModulus`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPrivateExponent

          BigInteger getPrivateExponent()

      Returns the private exponent.
      Returns:
        the private exponent

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.